Subject: Re: bug#11417: 24.0.96; infinite looping in xdisp.c

From: Eli Zaretskii <[email-masked]>
Date: Tue, 08 May 2012 20:26:40 +0300

> From: Chong Yidong <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Tue, 08 May 2012 11:37:10 +0800
> 
> I also am puzzled by where the display string "!" causing the problem
> comes from.  The only appearance of a "!" in Flymake is applied to the
> mode-line, not as a display string within the buffer text.  Neither
> Flymake nor Python mode seem to use overlay display strings.
> 
> Do you have any idea what "!" is used for in your buffer?
> 
> Could you check the value of it->object, it->n_overlay_strings, and
> it->overlay_strings[0]?

I think Leo's time and energy will be better spent looking for a
reproducible test case.  Then debugging will be much more efficient.